## eglibc 2.17

=== debian/changelog ===
eglibc (2.17-0experimental2) experimental; urgency=low

  * Switch to gcc-4.7 across the board to tidy up some C99 conformance,
    and force it to an experimental version at the request of Matthias.
  * debian/sysdeps/arm64.mk: Remove --enable-multi-arch (LP: #1117602)
  * debian/debhelper.in/libc.postinst: Add support for upstart restarts
    and don't restart init when upgrading in chroots (Closes: #608903)
  * debian/testsuite-checking/expected-mips*: Allow tst-audit8 to fail.

 -- Adam Conrad <adconrad@0c3.net>  Wed, 06 Feb 2013 22:41:23 -0700

eglibc (2.17-0experimental1) experimental; urgency=low

  [ Adam Conrad ]
  * Rebase kfreebsd patches missed in the previous upload due to quilt:
    - debian/patches/kfreebsd/local-undef-glibc.diff: Unfuzz.
    - debian/patches/kfreebsd/local-use-thr-primitives.diff: Unfuzz.
    - debian/patches/kfreebsd/local-linuxthreads29.diff: Unfuzz.
    - debian/patches/kfreebsd/local-readdir_r.diff: Track file rename.
    - debian/patches/kfreebsd/local-memusage_no_mremap.diff: Unfuzz.
  * debian/patches/kfreebsd/local-HAVE_TLS_SUPPORT.diff: Following the
    upstream removal of TLS configure options, enable unconditionally.
  * debian/patches/any/local-tst-dir-overlayfs.diff: Dropped, as I seem
    to be the only person building on overlayfs, and I'll just use aufs.
  * Update debian/patches/kfreebsd/local-sysdeps.diff to revision 4353.
  * debian/patches/any/unsubmitted-cloexec-conditional.diff: Make more
    occurences of O_CLOEXEC conditional on it actually being defined.
  * debian/rules: Don't put x32 debug symbols in libc-dbg (LP: #1106471)
  * debian/testsuite-checking/expected-*: Allow all arches to fail the
    tst-cputimer1 test, as it harmlessly comes and goes on all of them.
  * debian/testsuite-checking/expected-*: Adjust ia64 and armel results
    to allow failures expected by the upstream port maintainers of each.
  * Drop the armhf-specific symbols hack for the new linker, as we're 
    no longer expecting partial upgrades from the out-of-archive port.
  * debian/{control,control.in/main}: Bump Standards-Version to 3.9.4.
  * Amend eglibc-source.lintian-overrides to add libc-dev-alt.postinst.

  [ Pino Toscano ]
  * debian/rules.d/build.mk: When threads is no, disable nscd in all passes.

 -- Adam Conrad <adconrad@0c3.net>  Sun, 03 Feb 2013 20:34:44 -0700

eglibc (2.17-0experimental0) experimental; urgency=low

  [ Adam Conrad ]
  * New upstream release: version 2.17, orig tarball built at SVN r22169:
    - Restricts ld.so self-loading checks to normal mode (LP: #1088677)
    - debian/rules.d/tarball.mk: ports is no longer external to libc.
    - debian/*: Update all 2.16 occurences to 2.17 for upgrades/deps.
    - patches/localedata/supported.diff: Rebased against new upstream.
    - patches/localedata/locale-ia.diff: Dropped, merged upstream.
    - patches/localedata/submitted-es_MX-decimal_point.diff: Rebased.
    - patches/amd64/local-pthread_cond_wait.diff: Dropped, fixed upstream.
    - patches/i386/local-pthread_cond_wait.diff: Dropped (closes: #694962)
    - patches/arm64/cvs-ldconfig-cache-abi.diff: Dropped, merged upstream.
    - patches/arm64/submitted-aarch64-support.diff: Merged upstream.
    - patches/arm/cvs-ldconfig-cache-abi.diff: Dropped, merged upstream.
    - patches/arm/local-atomic.diff: Dropped, fixed differently upstream.
    - patches/arm/unsubmitted-armhf-linker.diff: Dropped, not needed.
    - patches/arm/unsubmitted-ldconfig-cache-abi.diff: Rewritten slightly.
    - patches/hppa/submitted-nptl-carlos.diff: Rebased against upstream.
    - patches/hppa/local-stack-grows-up.diff: Rebased against upstream.
    - patches/hurd-i386/local-enable-ldconfig.diff: dl-cache.c dropped.
    - patches/hurd-i386/tg-tls.diff: Rebase and drop powerpc support.
    - patches/hurd-i386/tg-regenerate_errno.h.diff: Merged upstream.
    - patches/hurd-i386/tg-extern_inline.diff: Drop powerpc support.
    - patches/hurd-i386/tg-elfosabi_gnu.diff: Drop powerpc support.
    - patches/hurd-i386/tg-grantpt.diff: Rebased against new upstream.
    - patches/hurd-i386/unsubmitted-pthread_posix-option.diff: Rebased.
    - patches/hurd-i386/submitted-getgroups.diff: Dropped, merged upstream.
    - patches/hurd-i386/submitted-getlogin_r.diff: Dropped, fixed upstream.
    - patches/hurd-i386/submitted-ptsname.diff: Dropped, merged upstream.
    - patches/hurd-i386/submitted-sendto.diff: Dropped, fixed upstream.
    - patches/hurd-i386/cvs-add-missing-includes.diff: Merged upstream.
    - patches/hurd-i386/cvs-mach-check-local-headers.sh.diff: Merged.
    - patches/hurd-i386/cvs-lremovexattr.diff: Dropped, merged upstream.
    - patches/hurd-i386/cvs-renameat.diff: Dropped, merged upstream.
    - patches/hurd-i386/cvs-mknodat.diff: Dropped, merged upstream.
    - patches/hurd-i386/cvs-llistxattr.diff: Dropped, merged upstream.
    - patches/i386/submitted-i686-timing.diff: Rebase, and fix a bug that
      was excluding dl-caller.c from shared-only-routines for rtld builds.
    - patches/m68k/cvs-syscall-arguments.diff: Dropped, merged upstream.
    - patches/powerpc/local-math-logb.diff: Rebased against new upstream.
    - patches/all/unsubmitted-autoconfupdate.diff: Dropped, not needed.
    - patches/any/local-bindresvport_blacklist.diff: Rebase with upstream.
    - patches/any/local-ldso-disable-hwcap.diff: Rebased against upstream.
    - patches/any/local-libgcc-compat-ports.diff: Rebased against upstream.
    - patches/any/local-nss-upgrade.diff: Rebased against new upstream.
    - patches/any/local-o_cloexec.diff: Rebased against new upstream.
    - patches/any/local-rtld.diff: Rebased against new upstream.
    - patches/any/submitted-popen.diff: Dropped, finally merged upstream.
    - patches/any/submitted-accept4-hidden.diff: Dropped, merged upstream.
    - patches/any/submitted-bits-fcntl_h-at.diff: Rebased against upstream.
    - patches/any/local-gai-rfc1918-scope-global.patch: Merged upstream.

