=== debian/tests/control ===
Tests: rebuild
Restrictions: build-needed
